Subject: hn/reftable "fixes"

From: Carlo Marcelo Arenas Belón <[email-masked]>
Date: Wed, 29 Sep 2021 22:40:28 -0700

Patch 1, was discussed before and might be solved in a better way as an
alternative.

Patch 2 and 3 are "nice to have" for portability and hopefully not controversial
but could be dropped, if someone feels strongly against it.

Patch 4 is not something I'd found failing anywhere, but the fact that Microsoft
mentions it is only supported as an extension and it needs to be supported by
the dynamic linker and I couldn't find anything clear about it in POSIX means,
that is probably safer this way.

  [PATCH 1/4] fixup! reftable: add a heap-based priority queue for
  [PATCH 2/4] fixup! reftable: implement stack, a mutable database of
  [PATCH 3/4] config.mak.uname: last release and snapshots of Minix
  [PATCH 4/4] reftable: avoid non portable compile time pointer to